com.sun.jna.platform.win32

## Class Sspi.SecBuffer.ByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Sspi.SecBuffer
    - - com.sun.jna.platform.win32.Sspi.SecBuffer.ByReference

All Implemented Interfaces:
  Structure.ByReference

Enclosing class:
  Sspi.SecBuffer

    public static class Sspi.SecBuffer.ByReference
    extends Sspi.SecBuffer
    implements Structure.ByReference

A ByReference SecBuffer.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Sspi.SecBuffer

`Sspi.SecBuffer.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

### Fields inherited from class com.sun.jna.platform.win32.Sspi.SecBuffer

`BufferType, cbBuffer, pvBuffer`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ByReference()` Create a SECBUFFER_EMPTY SecBuffer.
`ByReference(int type, byte[] token)`
`ByReference(int type, int size)` Create a SecBuffer of a given type and size.

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.Sspi.SecBuffer

`getBytes`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ByReference

    public ByReference()

Create a SECBUFFER_EMPTY SecBuffer.

#### ByReference

    public ByReference(int type,
                       int size)

Create a SecBuffer of a given type and size.

Parameters:
  `type` - Buffer type, one of SECBUFFER_EMTPY, etc.
  `size` - Buffer size, eg. MAX_TOKEN_SIZE.

#### ByReference

    public ByReference(int type,
                       byte[] token)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.